Implement bash-style comment for dependencies list

This commit is contained in:
clsty
2024-02-03 13:05:22 +08:00
parent df8a0a2bfc
commit aea096ce8d
7 changed files with 52 additions and 2357 deletions
+7 -5
View File
@@ -6,6 +6,7 @@ source ./scriptdata/installers
#####################################################################################
if ! command -v pacman >/dev/null 2>&1;then printf "\e[31m[$0]: pacman not found, it seems that the system is not ArchLinux or Arch-based distros. Aborting...\e[0m\n";exit 1;fi
prevent_sudo_or_root
startask (){
printf "\e[34m[$0]: Hi there!\n"
printf 'This script 1. only works for ArchLinux and Arch-based distros.\n'
@@ -39,7 +40,8 @@ set -e
printf "\e[36m[$0]: 1. Get packages and add user to video/input groups\n\e[97m"
# Each line as an element of the array $pkglist
readarray -t pkglist < ./scriptdata/dependencies.txt
remove_bashcomments_emptylines ./scriptdata/dependencies.conf ./cache/dependencies_stripped.conf
readarray -t pkglist < ./cache/dependencies_stripped.conf
# NOTE: wayland-idle-inhibitor-git is for providing `wayland-idle-inhibitor.py' used by the `Keep system awake' button in `.config/ags/widgets/sideright/quicktoggles.js'.
if ! command -v yay >/dev/null 2>&1;then
@@ -111,10 +113,10 @@ do
fi
done
target="$HOME/.config/hypr/colors.conf"
test -f $target || { \
echo -e "\e[34m[$0]: File \"$target\" not found.\e[0m" && \
v cp "$HOME/.config/hypr/colors_default.conf" $target ; }
# target="$HOME/.config/hypr/colors.conf"
# test -f $target || { \
# echo -e "\e[34m[$0]: File \"$target\" not found.\e[0m" && \
# v cp "$HOME/.config/hypr/colors_default.conf" $target ; }
# some foldes (eg. .local/bin) should be processed seperately to avoid `--delete' for rsync,
# since the files here come from different places, not only about one program.